Subject: Re: [PATCH 2/2] update-server-info: create info/* with mode 0666

From: Jeff King <[email-masked]>
Date: Tue, 6 Jan 2015 14:39:51 -0500

On Tue, Jan 06, 2015 at 10:47:01AM -0800, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > +test_expect_success POSIXPERM 'info/refs is readable in unshared repo' '
> > +	rm -f .git/info/refs &&
> > +	test_unconfig core.sharedrepository &&
> > +	umask 002 &&
> > +	git update-server-info &&
> > +	echo "-rw-rw-r--" >expect &&
> > +	modebits .git/info/refs >actual &&
> > +	test_cmp expect actual
> > +'
> 
> Hmm, the label and the test look somewhat out-of-sync.  "readable as
> long as umask allows it" would be more in line with what the fix is
> about (i.e. I would expect a test with that title to pass even if I
> changed 'umask 002' to 'umask 007', but that is not what we want in
> this series).

That is definitely not what the series means to accomplish. I think
naming the test "info/refs respects umask in unshared repo" is probably
a better title for the test.

-Peff